Get All Order Profiles

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /o/op/data/account-profiles

Returns a list of active order profiles for a specific business location.

The order profile code can be used to retrieve a specific price list when loading a menu.

Note: Order Profiles were previously called Account Profiles, and may still be referred to in this way in the API, in some cases.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    Order profiles

    Hide response attributes Show response attributes object
    • businessLocationId integer(int64)

      The unique identifier for the business location.

    • accountProfileList array[object]
      Hide accountProfileList attributes Show accountProfileList attributes object
      • id integer(int64)

        The unique identifier for the order profile.

      • code string

        A short code representing the order profile.

      • name string

        The system display name for the order profile.

      • deliveryMode string

        Specifies the delivery mode for the order profile.

        Values are NONE, TAKE_AWAY, or DELIVERY.

GET /o/op/data/account-profiles
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/data/account-profiles?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "businessLocationId": 45454565682155,
  "accountProfileList": [
    {
      "id": 12454575601144,
      "code": "takeaway",
      "name": "Takeaway",
      "deliveryMode": "TAKE_AWAY"
    }
  ]
}